curl --request POST \
--url https://api.qovery.com/organization/{organizationId}/argoCdDestinationClusterMapping \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"agent_cluster_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"argocd_cluster_url": "https://kubernetes.default.svc",
"cluster_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
'{
"agent_cluster_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"argocd_cluster_url": "https://kubernetes.default.svc",
"cluster_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}Map an ArgoCD destination cluster URL to a Qovery cluster for a given agent cluster. If a mapping for the same (agentClusterId, argocdClusterUrl) already exists, it is updated. Requires ADMIN role on the agent cluster.
curl --request POST \
--url https://api.qovery.com/organization/{organizationId}/argoCdDestinationClusterMapping \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"agent_cluster_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"argocd_cluster_url": "https://kubernetes.default.svc",
"cluster_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
'{
"agent_cluster_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"argocd_cluster_url": "https://kubernetes.default.svc",
"cluster_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}Documentation Index
Fetch the complete documentation index at: https://www.qovery.com/docs/llms.txt
Use this file to discover all available pages before exploring further.
JWT tokens should be used with OIDC account (human to machine). JWT tokens used by the Qovery console to communicate with the API have a TTL. Curl Example ' curl https://console.qovery.com/organization -H "Authorization: Bearer $qovery_token" '
Organization ID
ID of the Qovery cluster where the ArgoCD instance is running
ArgoCD destination cluster URL as reported by ArgoCD
"https://kubernetes.default.svc"
ID of the Qovery cluster to map this ArgoCD destination to
Was this page helpful?